> For the complete documentation index, see [llms.txt](https://docs.wisej.com/hybrid/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/hybrid/start/api/location/wisej.hybrid.shared.geolocation.altitudereferencesystem.md).

# AltitudeReferenceSystem

Namespace: **Wisej.Hybrid.Shared.Geolocation**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Indicates the altitude reference system to be used in defining a location.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum AltitudeReferenceSystem : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum AltitudeReferenceSystem As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name            | Description                                                                                                                                                        |
| --------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| **Ellipsoid**   | The altitude reference system is based on an ellipsoid (usually WGS84), which is a mathematical approximation of the shape of the Earth.                           |
| **Geoid**       | The altitude reference system is based on the distance above sea level (parametrized by a so-called Geoid).                                                        |
| **Surface**     | The altitude reference system is based on the distance above the tallest surface structures, such as buildings, trees, roads, etc., above terrain or ground level. |
| **Terrain**     | The altitude reference system is based on distance above terrain or ground level                                                                                   |
| **Unspecified** | The altitude reference system was not specified.                                                                                                                   |

## Used By

| Name                                                                                                                               | Description                                                                                                                                                 |
| ---------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Location.AltitudeReferenceSystem](/hybrid/start/api/location/wisej.hybrid.shared.geolocation.location.md#altitudereferencesystem) | Specifies the reference system in which the [Altitude](/hybrid/start/api/location/wisej.hybrid.shared.geolocation.location.md#altitude) value is expressed. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/location/wisej.hybrid.shared.geolocation.altitudereferencesystem.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
